Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class AccessNode

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.AccessNode

All Implemented Interfaces:
  JavaNode, Node

Direct Known Subclasses:
  ASTAnnotationTypeDeclaration, ASTClassOrInterfaceDeclaration, ASTConstructorDeclaration, ASTEnumDeclaration, ASTFieldDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTMethodDeclaration

public class AccessNode
extends SimpleJavaNode

Field Summary
`static int` | `ABSTRACT`
`static int` | `FINAL`
`static int` | `NATIVE`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `STATIC`
`static int` | `STRICTFP`
`static int` | `SYNCHRONIZED`
`static int` | `TRANSIENT`
`static int` | `VOLATILE`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`AccessNode(int i)`
`AccessNode(JavaParser parser, int i)`

Method Summary
`java.lang.String` | `collectDumpedModifiers(java.lang.String prefix)`
`boolean` | `isAbstract()`
`boolean` | `isFinal()`
`boolean` | `isNative()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`boolean` | `isStrictfp()`
`boolean` | `isSynchronized()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`(package private) static int` | `removeModifier(int modifiers, int mod)` Removes the given modifier.
`void` | `setAbstract()`
`void` | `setFinal()`
`void` | `setModifiers(int m)`
`void` | `setNative()`
`void` | `setPrivate()`
`void` | `setProtected()`
`void` | `setPublic()`
`void` | `setStatic()`
`void` | `setStrictfp()`
`void` | `setSynchronized()`
`void` | `setTransient()`
`void` | `setVolatile()`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Field Detail

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### STRICTFP

    public static final int STRICTFP

See Also:
  Constant Field Values

Constructor Detail

### AccessNode

    public AccessNode(int i)

### AccessNode

    public AccessNode(JavaParser parser,
                      int i)

Method Detail

### setModifiers

    public void setModifiers(int m)

### isPublic

    public boolean isPublic()

### isProtected

    public boolean isProtected()

### isPrivate

    public boolean isPrivate()

### isStatic

    public boolean isStatic()

### isAbstract

    public boolean isAbstract()

### isFinal

    public boolean isFinal()

### isNative

    public boolean isNative()

### isStrictfp

    public boolean isStrictfp()

### isSynchronized

    public boolean isSynchronized()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### setPublic

    public void setPublic()

### setPrivate

    public void setPrivate()

### setProtected

    public void setProtected()

### setSynchronized

    public void setSynchronized()

### setVolatile

    public void setVolatile()

### setAbstract

    public void setAbstract()

### setStatic

    public void setStatic()

### setTransient

    public void setTransient()

### setFinal

    public void setFinal()

### setNative

    public void setNative()

### setStrictfp

    public void setStrictfp()

### removeModifier

    static int removeModifier(int modifiers,
                              int mod)

  Removes the given modifier.

### isPackagePrivate

    public boolean isPackagePrivate()

### collectDumpedModifiers

    public java.lang.String collectDumpedModifiers(java.lang.String prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.